Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RemoveObjectsRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RemoveObjectsRequestTypeImpl

    public interface RemoveObjectsRequestType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Remove Objects Request Type'.

The following features are supported:

- `Object Ref List`
- `Deletion Scope`

See Also:
  `RegistryPackage.getRemoveObjectsRequestType()`

Method Summary
`DeletionScopeType` | `getDeletionScope()` Returns the value of the 'Deletion Scope' attribute.
`ObjectRefListType` | `getObjectRefList()` Returns the value of the 'Object Ref List' containment reference.
`boolean` | `isSetDeletionScope()` Returns whether the value of the '`Deletion Scope`' attribute is set.
`void` | `setDeletionScope(DeletionScopeType value)` Sets the value of the '`Deletion Scope`' attribute.
`void` | `setObjectRefList(ObjectRefListType value)` Sets the value of the '`Object Ref List`' containment reference.
`void` | `unsetDeletionScope()` Unsets the value of the '`Deletion Scope`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getObjectRefList

    ObjectRefListType getObjectRefList()

  Returns the value of the 'Object Ref List' containment reference.

  If the meaning of the 'Object Ref List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Ref List' containment reference.
  See Also:
    `setObjectRefList(ObjectRefListType)`, `RegistryPackage.getRemoveObjectsRequestType_ObjectRefList()`

### setObjectRefList

    void setObjectRefList(ObjectRefListType value)

  Sets the value of the '`Object Ref List`' containment reference.

  Parameters:
    `value` - the new value of the 'Object Ref List' containment reference.
  See Also:
    `getObjectRefList()`

### getDeletionScope

    DeletionScopeType getDeletionScope()

  Returns the value of the 'Deletion Scope' attribute. The default value is `"DeleteAll"`. The literals are from the enumeration `DeletionScopeType`.

  If the meaning of the 'Deletion Scope' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Deletion Scope' attribute.
  See Also:
    `DeletionScopeType`, `isSetDeletionScope()`, `unsetDeletionScope()`, `setDeletionScope(DeletionScopeType)`, `RegistryPackage.getRemoveObjectsRequestType_DeletionScope()`

### setDeletionScope

    void setDeletionScope(DeletionScopeType value)

  Sets the value of the '`Deletion Scope`' attribute.

  Parameters:
    `value` - the new value of the 'Deletion Scope' attribute.
  See Also:
    `DeletionScopeType`, `isSetDeletionScope()`, `unsetDeletionScope()`, `getDeletionScope()`

### unsetDeletionScope

    void unsetDeletionScope()

  Unsets the value of the '`Deletion Scope`' attribute.

  See Also:
    `isSetDeletionScope()`, `getDeletionScope()`, `setDeletionScope(DeletionScopeType)`

### isSetDeletionScope

    boolean isSetDeletionScope()

  Returns whether the value of the '`Deletion Scope`' attribute is set.

  Returns:
    whether the value of the 'Deletion Scope' attribute is set.
  See Also:
    `unsetDeletionScope()`, `getDeletionScope()`, `setDeletionScope(DeletionScopeType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD